# Interface HTMLDOMImplementation

All Superinterfaces:
  `DOMImplementation`

public interface HTMLDOMImplementation extends DOMImplementation
The `HTMLDOMImplementation` interface extends the `DOMImplementation` interface with a method for creating an HTML document instance.

Since:
  1.4, DOM Level 2

## Method Summary

Modifier and Type
Method
Description
`HTMLDocument`
`createHTMLDocument(String title)`
Creates an `HTMLDocument` object with the minimal tree made of the following elements: `HTML` , `HEAD` , `TITLE` , and `BODY` .

### Methods declared in interface DOMImplementation

`createDocument, createDocumentType, getFeature, hasFeature`
Modifier and Type
Method
Description
`Document`
`createDocument(String namespaceURI, String qualifiedName, DocumentType doctype)`
Creates a DOM Document object of the specified type with its document element.
`DocumentType`
`createDocumentType(String qualifiedName, String publicId, String systemId)`
Creates an empty `DocumentType` node.
`Object`
`getFeature(String feature, String version)`
This method returns a specialized object which implements the specialized APIs of the specified feature and version, as specified in DOM Features.
`boolean`
`hasFeature(String feature, String version)`
Test if the DOM implementation implements a specific feature and version, as specified in DOM Features.

## Method Details

### createHTMLDocument

HTMLDocument createHTMLDocument(String title)
Creates an `HTMLDocument` object with the minimal tree made of the following elements: `HTML` , `HEAD` , `TITLE` , and `BODY` .

Parameters:
  `title` - The title of the document to be set as the content of the `TITLE` element, through a child `Text` node.
Returns:
  A new `HTMLDocument` object.